Un utente ha chiesto informazioni su streetshirts for WooCommerce di Wordpress

Errore 404 durante l’installazione di Streets per WooCommerce

Un utente ha chiesto 👇

Ho delle domande che provano a completare la sezione “Installa magliette per WooCommerce”, ricevo un errore 404 dopo aver completato il modulo e fatto clic su Avanti?

(@spikedennis)

2 anni, 12 mesi fa

Ho lo stesso / simile problema. Il plugin è installato ma quando vado al sottomenu Streetshirts per completare l’installazione ottengo il seguente messaggio di errore dopo aver inserito i miei dati e fatto clic su Avanti:

L’URL richiesto / wc-auth / v1 / permission non è stato trovato su questo server.
Inoltre, si è verificato un errore 404 Not Found durante il tentativo di utilizzare ErrorDocument per gestire la richiesta.

Apprezzeremmo qualsiasi aiuto / consiglio.

Sto eseguendo l’aggiornamento WP v4.9.4 e Woocommerce v3.3.4.

Autore del plugin

(@stevewinn)

2 anni, 9 mesi fa

Ciao a tutti e due

Questo problema dovrebbe essere risolto nella v 1.0.2

Steve

Lanciatore di thread

(@tiansmith)

2 anni, 9 mesi fa

Questo non funziona ancora per me, sto sviluppando un sito in una sottocartella nella directory principale ma il plug-in sta ancora estraendo solo l’URL principale e ricevo un errore 404.

Conferma anche con quale versione di WooCommerce è ora compatibile il plug-in?

Autore del plugin

(@stevewinn)

2 anni, 9 mesi fa

Ciao,

Compatibile con l’ultimo woocommerce.

Le sottodirectory non sono attualmente supportate perché presumono che l’URL lo sia http://www.yoursite.com/wp-admin

Steve

Lanciatore di thread

(@tiansmith)

2 anni, 9 mesi fa

Ciao Steve,

Come feedback e non critica, non sarebbe saggio creare l’URL inferiore direttamente da WordPress poiché si desidera lavorare con un sito Web in un ambiente di sviluppo che non ha necessariamente un sottodominio ma a volte una sottocartella, prima di avviare il sito Web?

Di,
Tian

(@ khayman101)

2 anni, 6 mesi fa

Stesso problema, ultime versioni

Nessun sottodominio o altro
https://sitname.com/wc-auth/v1/authorize? srl
La risorsa che stai cercando è stata rimossa, rinominata o temporaneamente non disponibile.

Lanciatore di thread

(@tiansmith)

2 anni, 6 mesi fa

Sì, non funziona con sottodomini o sottocartelle, il plugin ha una lunga strada da percorrere ma ogni grande sistema inizia da qualche parte!

(@ khayman101)

2 anni, 6 mesi fa

Non sto usando nessuno di loro, ancora lavorando per qualche motivo

Lanciatore di thread

(@tiansmith)

2 anni, 6 mesi fa

Devi seguire i passaggi di installazione del plugin per seguire la lettera?

Non posso aiutarti oltre, ma puoi contattare l’assistenza di StreetShirts, sono molto utili nella mia esperienza.

Autore del plugin

(@stevewinn)

2 anni, 6 mesi fa

Ciao,

Se puoi darmi maggiori informazioni o un’immagine di eventuali errori che aiuterebbe. In particolare quale indirizzo si trova nella barra degli indirizzi al momento di eventuali errori.

Errori rest_cannot_create: –
https://github.com/WP-API/Basic-Auth/issues/35#issuecomment-244001216
https://github.com/WP-API/Basic-Auth/issues/35
https://stackoverflow.com/questions/38610599/woocommerce-rest-api-woocommerce-rest-cannot-create

Inoltre, controlla che questa pagina sia accessibile: –
https://www.yoursite.co.uk/wp-json/wc/v1/

Infine, prova a disabilitare tutti i plugin di sicurezza o assicurati che l’API json rest sia abilitata (in wordpress, perché l’API woo è costruita su quella wordpress)

steve

Was this helpful?

0 / 0

Lascia un commento 0

Your email address will not be published. Required fields are marked *